> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memoryproto.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Farcaster Profile

> Retrieve the Farcaster profile of an account by username or fid.



## OpenAPI

````yaml get /farcaster
openapi: 3.1.0
info:
  version: 1.0.0
  title: Memory API
  description: >-
    Memory Protocol generated from the OpenAPI specification. Register at
    https://memoryproto.co/developers to start querying user identity graphs.
    Visit https://docs.memoryproto.co for a complete documentation.
servers:
  - url: https://api.memoryproto.co
    description: Memory API
security: []
paths:
  /farcaster:
    get:
      summary: Get Farcaster Profile
      description: Retrieve the Farcaster profile of an account by username or fid.
      parameters:
        - schema:
            type: string
            description: >-
              Farcaster username of the user. For example, memoryprotocol.eth or
              base.base.eth.
            examples:
              - memoryprotocol.eth
              - base.base.eth
          required: false
          name: username
          in: query
        - schema:
            type: number
            nullable: true
            description: Fid of the Farcaster account. For example, 244819 or 12142.
            examples:
              - 244819
              - 12142
          required: false
          name: fid
          in: query
        - schema:
            type: string
            description: Get your API key at https://memoryproto.co/developers.
            example: Bearer mem_xxx
          required: true
          name: Authorization
          in: header
      responses:
        '200':
          description: Successful response containing the user's Farcaster profile.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      username:
                        type: string
                      id:
                        type: string
                      displayName:
                        type: string
                      followersCount:
                        type: number
                      followingCount:
                        type: number
                      postsCount:
                        type: number
                        nullable: true
                      creationDate:
                        type: string
                        nullable: true
                      avatarUrl:
                        type: string
                        nullable: true
                      externalUrl:
                        type: string
                        nullable: true
                      location:
                        type: string
                        nullable: true
                      bio:
                        type: string
                        nullable: true
                      custodyAddress:
                        type: string
                      verifiedAccounts:
                        type: array
                        items:
                          type: object
                          properties:
                            platform:
                              type: string
                            username:
                              type: string
                          required:
                            - platform
                            - username
                      verifiedAddresses:
                        type: object
                        properties:
                          ethAddresses:
                            type: array
                            items:
                              type: string
                          solAddresses:
                            type: array
                            items:
                              type: string
                          primary:
                            type: object
                            properties:
                              ethAddress:
                                type: string
                                nullable: true
                              solAddress:
                                type: string
                                nullable: true
                            required:
                              - ethAddress
                              - solAddress
                        required:
                          - ethAddresses
                          - solAddresses
                          - primary
                    required:
                      - username
                      - id
                      - displayName
                      - followersCount
                      - followingCount
                      - postsCount
                      - creationDate
                      - avatarUrl
                      - externalUrl
                      - location
                      - bio
                      - custodyAddress
                      - verifiedAccounts
                      - verifiedAddresses
                    description: Farcaster profile.
                    example:
                      id: '244819'
                      avatarUrl: >-
                        https://imagedelivery.net/BXluQx4ige9GuW0Ia56BHw/931fd467-68f8-4146-9487-a9017c0f6700/rectcrop3
                      bio: >-
                        Turning your data into a revenue stream || Open your
                        Memory Vault to start earning.
                      creationDate: null
                      displayName: Memory
                      externalUrl: null
                      followersCount: 1267
                      followingCount: 81
                      location: ''
                      postsCount: null
                      username: memoryprotocol.eth
                      custodyAddress: '0x4f1c7cda0ad3a6d1d22295fe06545fff03f7c6aa'
                      verifiedAccounts:
                        - platform: x
                          username: memoryprotocol
                      verifiedAddresses:
                        ethAddresses:
                          - '0x17f4e14afab578386b6cd15685bcb30a32910e9c'
                          - '0xe0349505ada0cc21b3b10a46d70e6fa96098c5fa'
                        solAddresses:
                          - EhF9EdGVMUCkY6sf7naaVhjsfJFfF6jH4LrjxtwZHj2S
                        primary:
                          ethAddress: '0xe0349505ada0cc21b3b10a46d70e6fa96098c5fa'
                          solAddress: EhF9EdGVMUCkY6sf7naaVhjsfJFfF6jH4LrjxtwZHj2S
                required:
                  - data
        '403':
          description: The organization ran out of credits.
          content:
            application/text:
              schema:
                type: string
                enum:
                  - >-
                    You have run out of credits. Please purchase more to
                    continue.
        '500':
          description: An internal error occurred while getting the user's profile
          content:
            application/text:
              schema:
                type: string
                enum:
                  - Error getting {username} profile.
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````